package cn.datax.service.system.service;

import cn.datax.service.system.api.entity.DictEntity;
import cn.datax.service.system.api.dto.DictDto;
import cn.datax.common.base.BaseService;

/**
 * <p>
 * 字典编码信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-04-17
 */
public interface DictService extends BaseService<DictEntity> {

    void saveDict(DictDto dict);

    void updateDict(DictDto dict);

    void deleteDictById(String id);

    void refreshDict();
}
